<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  session_start(); //démarrage de la session
  
  include("params.php"); //prise en compte des paramètres

  include("i18n.php"); //Internationalisation

  //Transitionel mieux que strict !, tout en majuscule sauf html (convention de nommage)
  
  echo 
  "<?xml version='1.1' encoding='iso-8859-1' ?>
  <!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
  'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>
  <html xml:lang='$lang' lang='$lang' xmlns='http://www.w3.org/1999/xhtml'>";
  
   include("keywords.php"); //inclue les mots-clés
  
  //$NomPage = ucfirst(substr(strrchr($_SERVER["PHP_SELF"],"/"), 1, strlen(strrchr($_SERVER["PHP_SELF"],"/"))-5));
  
  echo"
    
  <head>";
  
    include("licence.php"); //La licence GNU GPL (placé ici pour IE)
    
    echo"
    <title>";
    
    echo "".$TabTotalKeywords[mt_rand(0,$TailleTabTotalKeywords )].",";
    for($i=1;$i<=6;$i++){
      echo " ".$TabTotalKeywords[mt_rand(0,$TailleTabTotalKeywords )].",";
    }
    echo " ".$TabTotalKeywords[mt_rand(0,$TailleTabTotalKeywords )]."</title>
    ";
    
    include('meta.php'); //inclue aussi les balises meta (pour le référencement)
    

    $NomRepInstall = "freepay/"; //trouve la première apparition du nom du répertoire
    $TailleNomRepInstall = strlen($NomRepInstall); //calcul de la taille du répertoire
    $PositionArr = strpos($_SERVER["SCRIPT_NAME"], $NomRepInstall); // trouve la pos de l'emplacement du mot avec strrpos
    $PositionMilieu = substr($_SERVER["SCRIPT_NAME"], 0, $PositionArr+$TailleNomRepInstall); /* extraction de chaine */
    $AdresseFreePay = 'http://'.$_SERVER['HTTP_HOST'].$PositionMilieu.'';

    // Utilisation de CSS externe
    
    echo "
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/haut.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/menu.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/corps.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/messages.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/tableaux.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/bas.css' />

  </head>
  
  <body>";
  
   //barre de navigation gauche

  
  echo "<div class='cache'> ";
  
  // Mon Logo
  
  echo '<p class="logo">     
    <a href="'.$AdresseFreePay.'">
    <img id=\'logo\' src="'.$AdresseFreePay.'images/logo_blue_'.$lang.'.PNG" alt="'.$Logo[$lang].'" />
    </a>
  </p>';
  
  echo " <p style='padding-right:22px;text-align:right;'>"; //debut en-tête
  
  // Variables de session 
  
  if( empty( $_SESSION["mailcli"] ) ) //si les sessions sont vides
  {
    echo '<a href="http://'.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'].'?lang=fr">Fr</a> | <a href="http://'.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'].'?lang=en">En</a> &#160;&#160;&#160;&#160;
    <strong> <a href="'.$AdresseFreePay.'support/client/client_ajouter.php">'.$OuvrirUnCompte[$lang].'</a> </strong> | 
    <a href="'.$AdresseFreePay.'support/client/connexion.php">'.$Connexion[$lang].'</a> |
    <a href="'.$AdresseFreePay.'support/mail.php?destinataire=info@'.$_SERVER['HTTP_HOST'].'&amp;objet='.$Aide[$lang].'">'.$Aide[$lang].'</a>';
  }
  else //si les sessions sont pleines
  {
    echo '<a href="http://'.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'].'?lang=fr">Fr</a> | <a href="http://'.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'].'?lang=en">En</a> &#160;&#160;&#160;&#160; 
    <a href="'.$AdresseFreePay.'nav_mon_compte.php">'.$_SESSION["mailcli"].'</a> | 
    <a href="'.$AdresseFreePay.'nav_preferences.php">'.$Preferences[$lang].'</a> | 
    <a href="'.$AdresseFreePay.'support/mail.php?destinataire=info@'.$_SERVER['HTTP_HOST'].'">'.$Aide[$lang].'</a> | 
    <a href="'.$AdresseFreePay.'support/client/deconnexion.php?lang='.$lang.'">'.$Déconnexion[$lang].'</a> ';
  }

  echo "</p>";
  
  include("menu.php"); //inclue aussi le menu
  
  echo "</div>
  
  <p><br/><br/><br/></p>
  "; //fin en-tête
  
  echo "<div class='erreur_haut'>";
  
  	if( isset($host,$user,$password) ){
  		$connexion = @mysql_connect($host,$user,$password);  // Connexion au serveur (A clarifier)

  		if(!$connexion){
    echo "<p class='info'><strong>La connexion à échoué.</strong> L'hôte (ligne 23), l'utilisateur (ligne 24) ou le mot de passe (ligne 25) du fichier params.php est invalide.</p>";
  		}
	}
  
  //Si la fenetre n'est pas en 1024 par 768, ne pas redimensionner en 1024 par 768
  
  echo "</div>
  "; 
  
?>
